searchNodes=[{"doc":"Simple plug for sharing Devise session in Elixir. Usage Add the following to your application&#39;s endpoint (or replace an existing call to Plug.Session): plug PlugDeviseSession, key: &quot;_my_rails_project_session&quot; Here&#39;s a list of additional options: domain: set it to domain provided in the session_store() call of your Ruby on Rails project extra: lets specify arbitrary options that are added to cookie max_age: desired validity of remember user cookie in seconds path: send cookie only on matching URL path secure: a secure cookie is only sent to the server over the HTTPS protocol serializer: set it to Poison or other JSON serializer of choice if your Ruby on Rails project sets cookies_serializer to :json (default in Rails 4.1 and newer) signing_salt: set it to the value of encrypted_signed_cookie_salt if your Ruby on Rails project sets it encryption_salt: set it to the value of encrypted_cookie_salt if your Ruby on Rails project sets it signing_with_salt: set it to false if your Ruby on Rails project is based on Rails 3.2 or older Remember to also set secret key base to match the one in your Rails project: config :my_project, MyProject.Web.Endpoint, secret_key_base: &quot;secret...&quot; In order to read the session, you must first fetch the session in your router pipeline: plug :fetch_session Finally, you can get the current user&#39;s identifier as follows: PlugDeviseSession.Helpers.get_user_id()","ref":"PlugDeviseSession.html","title":"PlugDeviseSession","type":"module"},{"doc":"","ref":"PlugDeviseSession.html#call/2","title":"PlugDeviseSession.call/2","type":"function"},{"doc":"","ref":"PlugDeviseSession.html#init/1","title":"PlugDeviseSession.init/1","type":"function"},{"doc":"Helpers that assist in working with session fetched via PlugDeviseSession plug.","ref":"PlugDeviseSession.Helpers.html","title":"PlugDeviseSession.Helpers","type":"module"},{"doc":"Removes user auth data, optionally from a specified scope.","ref":"PlugDeviseSession.Helpers.html#delete_user_auth_data/2","title":"PlugDeviseSession.Helpers.delete_user_auth_data/2","type":"function"},{"doc":"Returns currently logged-in user&#39;s id and auth salt, optionally in specified scope.","ref":"PlugDeviseSession.Helpers.html#get_user_auth_data/2","title":"PlugDeviseSession.Helpers.get_user_auth_data/2","type":"function"},{"doc":"Returns currently logged-in user&#39;s identifier, optionally in specified scope.","ref":"PlugDeviseSession.Helpers.html#get_user_id/2","title":"PlugDeviseSession.Helpers.get_user_id/2","type":"function"},{"doc":"Puts session id.","ref":"PlugDeviseSession.Helpers.html#put_session_id/2","title":"PlugDeviseSession.Helpers.put_session_id/2","type":"function"},{"doc":"Puts user&#39;s id and auth salt, optionally in specified scope.","ref":"PlugDeviseSession.Helpers.html#put_user_auth_data/4","title":"PlugDeviseSession.Helpers.put_user_auth_data/4","type":"function"},{"doc":"","ref":"PlugDeviseSession.Helpers.html#t:id/0","title":"PlugDeviseSession.Helpers.id/0","type":"type"},{"doc":"","ref":"PlugDeviseSession.Helpers.html#t:salt/0","title":"PlugDeviseSession.Helpers.salt/0","type":"type"},{"doc":"","ref":"PlugDeviseSession.Helpers.html#t:scope/0","title":"PlugDeviseSession.Helpers.scope/0","type":"type"},{"doc":"Helps issuing and reading Devise&#39;s remember user cookie. Important module assumptions: All Plug.Conn structures should have a valid secret_key_base set. User authorization info is a three element tuple of the form: {id, auth_key, timestamp}. Remember timestamps are required to be in the Etc/UTC time zone.","ref":"PlugDeviseSession.Rememberable.html","title":"PlugDeviseSession.Rememberable","type":"module"},{"doc":"Removes the remember user cookie. Options :domain - domain the remember user cookie was issued in.","ref":"PlugDeviseSession.Rememberable.html#forget_user/3","title":"PlugDeviseSession.Rememberable.forget_user/3","type":"function"},{"doc":"Recovers user authentication info from remember cookie. Options :key_digest - digest algorithm to use for deriving the signing key. Accepts any value supported by Plug.Crypto.KeyGenerator.generate/3, defaults to :sha. :key_iterations - number of iterations for signing key derivation. Accepts any value supported by Plug.Crypto.KeyGenerator.generate/3, defaults to 1000. :key_length - desired length of derived signing key. Accepts any value supported by Plug.Crypto.KeyGenerator.generate/3, defaults to 64. :serializer - module used for cookie data serialization, defaults to PlugDeviseSession.Marshal which in turn uses ExMarshal (a Rails-compatible marshal module). :signing_salt - salt used for signing key derivation. Should be set to the value used by Rails, defaults to &quot;signed cookie&quot;.","ref":"PlugDeviseSession.Rememberable.html#recover_user/3","title":"PlugDeviseSession.Rememberable.recover_user/3","type":"function"},{"doc":"Sets a signed remember user cookie on the connection. Options :domain - domain to issue the remember user cookie in. :extra - lets specify arbitrary options that are added to cookie. :key_digest - digest algorithm to use for deriving the signing key. Accepts any value supported by Plug.Crypto.KeyGenerator.generate/3, defaults to :sha. :key_iterations - number of iterations for signing key derivation. Accepts any value supported by Plug.Crypto.KeyGenerator.generate/3, defaults to 1000. :key_length - desired length of derived signing key. Accepts any value supported by Plug.Crypto.KeyGenerator.generate/3, defaults to 64. :max_age - desired validity of remember user cookie in seconds, defaults to 2 weeks. :path - send cookie only on matching URL path. :secure - a secure cookie is only sent to the server over the HTTPS protocol. :serializer - module used for cookie data serialization, defaults to PlugDeviseSession.Marshal which in turn uses ExMarshal (a Rails-compatible marshal module). :signing_salt - salt used for signing key derivation. Should be set to the value used by Rails, defaults to &quot;signed cookie&quot;.","ref":"PlugDeviseSession.Rememberable.html#remember_user/4","title":"PlugDeviseSession.Rememberable.remember_user/4","type":"function"},{"doc":"","ref":"PlugDeviseSession.Rememberable.html#t:auth_key/0","title":"PlugDeviseSession.Rememberable.auth_key/0","type":"type"},{"doc":"","ref":"PlugDeviseSession.Rememberable.html#t:id/0","title":"PlugDeviseSession.Rememberable.id/0","type":"type"},{"doc":"","ref":"PlugDeviseSession.Rememberable.html#t:scope/0","title":"PlugDeviseSession.Rememberable.scope/0","type":"type"},{"doc":"","ref":"PlugDeviseSession.Rememberable.html#t:timestamp/0","title":"PlugDeviseSession.Rememberable.timestamp/0","type":"type"},{"doc":"","ref":"PlugDeviseSession.Rememberable.html#t:user_auth_info/0","title":"PlugDeviseSession.Rememberable.user_auth_info/0","type":"type"},{"doc":"Plug for Devise Session Simple plug for sharing Devise session in Elixir Features: one line configuration (depending on Rails version) supports multiple Rails session serializers (pre and post Rails 4.1) supports dynamic runtime configuration using system tuples (uses Confix package)","ref":"readme.html","title":"Plug for Devise Session","type":"extras"},{"doc":"Add plug_devise_session as a dependency to your project in mix.exs: defp deps do [{:plug_devise_session, &quot;~&gt; x.x.x&quot;}] end Then run mix deps.get to fetch it.","ref":"readme.html#getting-started","title":"Plug for Devise Session - Getting Started","type":"extras"},{"doc":"Visit documentation on HexDocs for a complete API reference.","ref":"readme.html#documentation","title":"Plug for Devise Session - Documentation","type":"extras"}]